#include <flags-cpp/flags-cpp.h>
#include <iostream>

using namespace Flags;

int main(int argc, char **argv) {
  Parser parser;

  auto x = parser.add<std::string>("myStr", "some description", true,
                                   "default value string");
  auto y = parser.add<int>("myInt", "some description", true, 13);

  if (!parser.parse(argc, argv))
    parser.help();

  std::cout << *x << std::endl << *y << std::endl;

  return 0;
}